Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Helpers.Build.VisualStudio Class Reference

## Public Types
enum | SlnType { Unknown = 0 , VisualStudio2005 = 80 , VisualStudio2008 = 90 , VisualStudio2010 = 100 , VisualStudio2012 = 110 , VisualStudio2013 = 120 , VisualStudio2015 = 140 , VisualStudio2019 = 142 , VisualStudio2022 = 143 }

## Static Public Member Functions
static string[] | DetermineVisualStudioConfigurations (string slnFileName)
static string | GetVisualStudioPath (string slnFileName)
static Version | DetermineVisualStudioVersion (string slnFileName)
static string[] | DetermineVisualStudioProjects (string slnFileName)
static SlnType | DetermineVisualStudioType (string slnFileName)
static string | DetermineVisualStudioPath ()
static string | DetermineVisualStudioPath (string commonToolsPath)
static string | DetermineVisualStudioTestPath ()
static string | DetermineVisualStudioTestPath (string commonToolsPath)
static string | DetermineCommonToolsPath (SlnType visualStudioVersion)

## Member Enumeration Documentation

## ◆ SlnType

enum Zwipe.Test.Tools.Helpers.Build.VisualStudio.SlnType

Enumerator
Unknown |
VisualStudio2005 |
VisualStudio2008 |
VisualStudio2010 |
VisualStudio2012 |
VisualStudio2013 |
VisualStudio2015 |
VisualStudio2019 |
VisualStudio2022 |

## Member Function Documentation

## ◆ DetermineCommonToolsPath()

string Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineCommonToolsPath | ( | SlnType | visualStudioVersion | ) |
| static

Here is the caller graph for this function:

## ◆ DetermineVisualStudioConfigurations()

string[] Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioConfigurations | ( | string | slnFileName | ) |
| static

Here is the caller graph for this function:

## ◆ DetermineVisualStudioPath() [1/2]

string Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioPath | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ DetermineVisualStudioPath() [2/2]

string Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioPath | ( | string | commonToolsPath | ) |
| static

## ◆ DetermineVisualStudioProjects()

string[] Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioProjects | ( | string | slnFileName | ) |
| static

Here is the caller graph for this function:

## ◆ DetermineVisualStudioTestPath() [1/2]

string Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioTestPath | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ DetermineVisualStudioTestPath() [2/2]

string Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioTestPath | ( | string | commonToolsPath | ) |
| static

## ◆ DetermineVisualStudioType()

SlnType Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioType | ( | string | slnFileName | ) |
| static

Here is the caller graph for this function:

## ◆ DetermineVisualStudioVersion()

Version Zwipe.Test.Tools.Helpers.Build.VisualStudio.DetermineVisualStudioVersion | ( | string | slnFileName | ) |
| static

Here is the caller graph for this function:

## ◆ GetVisualStudioPath()

string Zwipe.Test.Tools.Helpers.Build.VisualStudio.GetVisualStudioPath | ( | string | slnFileName | ) |
| static

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Helpers/Build/VisualStudio.cs